Page MenuHomePhabricator

ecore: add an helper for Efl.Boolean_Model to get all the index with a requested value.
ClosedPublic

Authored by cedric on Apr 6 2019, 6:55 PM.

Diff Detail

Repository
rEFL core/efl
Branch
T7376-devs/cedric/selectmodel
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 10840
cedric created this revision.Apr 6 2019, 6:55 PM

can you update depended patch?

cedric added a comment.Apr 8 2019, 6:38 PM

can you update depended patch?

What do you mean?

code looks fine but as I remembered there are some question about uint64... do we really need to use uint64 not general integer?

code looks fine but as I remembered there are some question about uint64... do we really need to use uint64 not general integer?

This is an open question. We will need during the review of stabilizing Efl.Model interface to evaluate what is a sane value for the index range. At the moment we have a mix of int, unsigned int and uint64. I am leaning more toward uint64 as this is fully future proof. uint32 is kind of next down on the list. I would think that a UI trying to show a uint32 sizedd list/grid might have some issue :-) So this is kind of a larger discussion to have.

cedric updated this revision to Diff 21471.Apr 18 2019, 3:28 PM
cedric edited the summary of this revision. (Show Details)

Rebase.

SanghyeonLee accepted this revision.Apr 18 2019, 10:45 PM

I'm little bit worry about 32 bit system needs in the future on tizen side,
but currently it seems we all uisng 64 bit system and it won't be a problem.
I've recently faced some signed-unsigned default datatype issue on char,
so using strict datatype could be nicer to avoid such problem.
lets to discuss again on this matter after all infrastructure is ready :)

This revision is now accepted and ready to land.Apr 18 2019, 10:45 PM
This revision was automatically updated to reflect the committed changes.